
Foreman - Bug #690

architecture_selected - Couldn't find Host with ID

02/25/2011 04:36 AM - Alexander Rusa

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Host creation   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I try to change the architecture of an existing host I get a "Couldn't find Host with ID host.domain.tld" error.

In the Webinterface it says: "The page you were looking for doesn't exist."

The method "ajax_methods" in the HostController tries to find the host by id, but uses the hostname, so we need a

Host.find_by_name(...)

History

#1 - 02/25/2011 04:49 AM - Ohad Levy

- Assignee set to Ohad Levy

- Priority changed from High to Normal

- Target version set to 0.2

You are correct, this was already fixed in the new css branch, but wasnt merged into the developed branch yet.

(https://github.com/ohadlevy/foreman/commit/10c5720bbf36e1b0f0fe09ddf43a8f59824ec8a6#diff-0)

hopefully the new-css branch would be ready in a few days (lacking the proper redesign for the host new/edit page).

thank you.

#2 - 03/15/2011 03:30 AM - Ohad Levy

- Status changed from New to Closed

fixed as part of the bulk updates to the new look and feel.

Files

architecture_selected-find_by_name.patch 514 Bytes 02/25/2011 Alexander Rusa
